Skip to main content
ExLibris
  • Subscribe by RSS
  •  

    Ex Libris Knowledge Center

    Primo Service pack failure with “ELF file OS ABI invalid” error message

    • Product:Primo

    • Relevant for Installation Type:  Local

    Problem Symptoms:
    The Primo service pack fails and in the  sp.log log file there is this error message “ Error: failed /exlibris/product/jdk-11.0.4/lib/server/libjvm.so, because /exlibris/product/jdk-11.0.4/lib/server/libjvm.so: ELF file OS ABI invalid”

    Cause:
    This is due to incompatible OS version (Linux RH 5.x) with new OpenJDK v8.
    Check the Linux version with the command:
    cat /etc/redhat-release


    The release will be 5.x.

    Resolution:
    Update the Linux version before to try to install again the service pack

    Additional Information

    Open a case to Ex Libris Support asking for the installation of Primo on a new server.

     

     


    • Article last edited: 06-Aug-2020
    • Was this article helpful?